@ECHO OFF
SETLOCAL
SET BATDIR=%~dp0
SET CPKMAKEC="C:\cri\tools\crifilesystem\cpkmakec.exe"

REM //	//{{---
REM //	ECHO 残念ながらこのバッチスクリプトは使えません。
REM //	ECHO このバッチスクリプトが使えない理由は、/clip/tool/SofdecHelper/SofdecHelper.cの
REM //	ECHO SofdecHelper_Init()関数内の「バインダの初期化処理」のコメントを参照して下さい。
REM //	ECHO このバッチスクリプトの代わりに、CpkFileBuilder.exeを使って下さい。
REM //	PAUSE
REM //	EXIT /B 1
REM //	↓解決しました。
REM //	アーカイブ対象のgrp\フォルダとsnd\を、一時的なcpk\の中にコピーして、階層を一段下げる事で解決しました。
REM //	尚、cpkmakec.exeは空のフォルダをアーカイブ出来ないようなので、ダミーファイルを入れておく事にしました。
REM //	そうしないと、*.usm、及び、*.adx,又は,*.hcaが一つも無い時に、エラーになってしまうからです。
REM //	//}}---

REM //--------------------------------------------------------------------------
IF EXIST cpk\ RMDIR /S /Q                 cpk\
MKDIR                                     cpk\grp\mov\
IF EXIST grp\mov\*.usm COPY grp\mov\*.usm cpk\grp\mov\
touch.exe                                 cpk\ダミーファイル
%CPKMAKEC%                                cpk\ grp.cpk -mode=FILENAME
IF ERRORLEVEL 1 GOTO L_ERR
DEL cpkmaker.out.csv
IF EXIST cpk\ RMDIR /S /Q                 cpk\

REM //--------------------------------------------------------------------------
IF EXIST cpk\ RMDIR /S /Q                 cpk\
MKDIR                                     cpk\snd\phr\
IF EXIST snd\phr\*.adx COPY snd\phr\*.adx cpk\snd\phr\
IF EXIST snd\phr\*.hca COPY snd\phr\*.hca cpk\snd\phr\
touch.exe                                 cpk\ダミーファイル
%CPKMAKEC%                                cpk\ snd.cpk -mode=FILENAME
IF ERRORLEVEL 1 GOTO L_ERR
DEL cpkmaker.out.csv
IF EXIST cpk\ RMDIR /S /Q                 cpk\

REM //--------------------------------------------------------------------------
ECHO 完了しました。
REM //	TIMEOUT /T 3 /NOBREAK
EXIT /B

REM //--------------------------------------------------------------------------
:L_ERR
ECHO ###エラーが発生しました。
	PAUSE
EXIT /B 1
